Fedora-Linux.nl Forumindex Fedora-Linux.nl
Het forum van Fedora-Linux.nl.
Deze site wordt gehost door Exonet Internet Services
 
 FAQFAQ   ZoekenZoeken   GebruikerslijstGebruikerslijst   GebruikersgroepenGebruikersgroepen   RegistrerenRegistreren 
 ProfielProfiel   Log in om je privéberichten te bekijkenLog in om je privéberichten te bekijken   InloggenInloggen 

kan niet updaten

 
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Overig
Vorige onderwerp :: Volgende onderwerp  
Auteur Bericht
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Ma Apr 16, 2012 9:45 am    Onderwerp: kan niet updaten Reageren met citaat

ik heb al een paar dagen een aantal updates(fc16)
maar het lukt niet om ze uit te voeren en het worden er steeds meer
dit is de output en de foutmelding in de terminal:

===============================================================================
Package Arch Version Repository Size
===============================================================================
Installing:
kernel x86_64 3.3.1-5.fc16 updates 26 M
kernel-devel x86_64 3.3.1-5.fc16 updates 7.4 M
Updating:
akmod-nvidia x86_64 1:295.40-2.fc16 rpmfusion-nonfree-updates 6.7 M
audacity-freeworld x86_64 2.0.0-1.fc16 rpmfusion-free-updates 3.6 M
audit x86_64 2.2.1-1.fc16 updates 210 k
audit-libs i686 2.2.1-1.fc16 updates 68 k
audit-libs x86_64 2.2.1-1.fc16 updates 67 k
audit-libs-python x86_64 2.2.1-1.fc16 updates 64 k
coreutils x86_64 8.12-7.fc16 updates 2.9 M
coreutils-libs x86_64 8.12-7.fc16 updates 49 k
cups x86_64 1:1.5.2-8.1.fc16 updates 2.0 M
cups-libs i686 1:1.5.2-8.1.fc16 updates 360 k
cups-libs x86_64 1:1.5.2-8.1.fc16 updates 353 k
cups-php x86_64 1:1.5.2-8.1.fc16 updates 85 k
dvb-apps x86_64 1.1.2-0.1479.37781d27a444.fc16
updates 345 k
flash-plugin x86_64 11.2.202.233-release
adobe-linux-x86_64 6.9 M
google-chrome-stable
x86_64 18.0.1025.162-131933
google-chrome 34 M
kernel-headers x86_64 3.3.1-5.fc16 updates 810 k
kernel-tools x86_64 3.3.1-5.fc16 updates 470 k
kmod-nvidia x86_64 1:295.40-2.fc16 rpmfusion-nonfree-updates 35 k
libsmbclient x86_64 1:3.6.4-82.fc16 updates 1.6 M
llvm-libs i686 2.9-10.fc16 updates 5.4 M
llvm-libs x86_64 2.9-10.fc16 updates 5.3 M
mate-vfs x86_64 1.2.1-2.fc16 mate-desktop-fedora-updates 705 k
mysql x86_64 5.5.22-1.fc16 updates 4.4 M
mysql-embedded x86_64 5.5.22-1.fc16 updates 2.7 M
mysql-libs x86_64 5.5.22-1.fc16 updates 694 k
mysql-server x86_64 5.5.22-1.fc16 updates 8.0 M
nvidia-settings x86_64 1.0-16.fc16 rpmfusion-nonfree-updates 714 k
nvidia-xconfig x86_64 1.0-14.fc16 rpmfusion-nonfree-updates 80 k
perl-DateTime-TimeZone
noarch 1.46-1.fc16 updates 314 k
pki-ca noarch 9.0.19-1.fc16 updates 218 k
pki-common noarch 9.0.19-1.fc16 updates 2.3 M
pki-java-tools noarch 9.0.19-1.fc16 updates 161 k
pki-kra noarch 9.0.11-1.fc16 updates 121 k
pki-native-tools x86_64 9.0.19-1.fc16 updates 132 k
pki-ocsp noarch 9.0.10-1.fc16 updates 67 k
pki-selinux noarch 9.0.19-1.fc16 updates 70 k
pki-setup noarch 9.0.19-1.fc16 updates 103 k
pki-symkey x86_64 9.0.19-1.fc16 updates 72 k
pki-util noarch 9.0.19-1.fc16 updates 508 k
raptor2 x86_64 2.0.7-1.fc16 updates 185 k
samba x86_64 1:3.6.4-82.fc16 updates 4.7 M
samba-client x86_64 1:3.6.4-82.fc16 updates 10 M
samba-common x86_64 1:3.6.4-82.fc16 updates 9.1 M
samba-winbind-clients
x86_64 1:3.6.4-82.fc16 updates 568 k
tzdata noarch 2012c-1.fc16 updates 427 k
tzdata-java noarch 2012c-1.fc16 updates 153 k
wine x86_64 1.5.1-1.fc16 updates 37 k
wine-alsa i686 1.5.1-1.fc16 updates 78 k
wine-alsa x86_64 1.5.1-1.fc16 updates 81 k
wine-capi i686 1.5.1-1.fc16 updates 41 k
wine-capi x86_64 1.5.1-1.fc16 updates 42 k
wine-cms i686 1.5.1-1.fc16 updates 55 k
wine-cms x86_64 1.5.1-1.fc16 updates 58 k
wine-common noarch 1.5.1-1.fc16 updates 109 k
wine-core i686 1.5.1-1.fc16 updates 14 M
wine-core x86_64 1.5.1-1.fc16 updates 14 M
wine-courier-fonts noarch 1.5.1-1.fc16 updates 50 k
wine-desktop noarch 1.5.1-1.fc16 updates 124 k
wine-devel x86_64 1.5.1-1.fc16 updates 2.7 M
wine-fonts noarch 1.5.1-1.fc16 updates 37 k
wine-ldap i686 1.5.1-1.fc16 updates 100 k
wine-ldap x86_64 1.5.1-1.fc16 updates 105 k
wine-marlett-fonts noarch 1.5.1-1.fc16 updates 49 k
wine-ms-sans-serif-fonts
noarch 1.5.1-1.fc16 updates 61 k
wine-openal i686 1.5.1-1.fc16 updates 47 k
wine-openal x86_64 1.5.1-1.fc16 updates 49 k
wine-pulseaudio i686 1.5.1-1.fc16 updates 36 k
wine-pulseaudio x86_64 1.5.1-1.fc16 updates 36 k
wine-small-fonts noarch 1.5.1-1.fc16 updates 52 k
wine-symbol-fonts noarch 1.5.1-1.fc16 updates 63 k
wine-system-fonts noarch 1.5.1-1.fc16 updates 55 k
wine-systemd noarch 1.5.1-1.fc16 updates 37 k
wine-tahoma-fonts noarch 1.5.1-1.fc16 updates 110 k
wine-twain i686 1.5.1-1.fc16 updates 62 k
wine-twain x86_64 1.5.1-1.fc16 updates 64 k
wine-wow x86_64 1.5.1-1.fc16 updates 230 k
xorg-x11-drv-nvidia x86_64 1:295.40-1.fc16 rpmfusion-nonfree-updates 2.3 M
xorg-x11-drv-nvidia-libs
x86_64 1:295.40-1.fc16 rpmfusion-nonfree-updates 18 M
ypbind x86_64 3:1.35-1.fc16 updates 58 k
Removing:
kernel x86_64 3.3.0-4.fc16 @updates 121 M
kernel-devel x86_64 3.3.0-4.fc16 @updates 28 M
Installing for dependencies:
kmod-nvidia-3.3.1-5.fc16.x86_64
x86_64 1:295.40-2.fc16 rpmfusion-nonfree-updates 3.7 M
libwbclient x86_64 1:3.6.4-82.fc16 updates 68 k
Removing for dependencies:
kmod-nvidia-3.3.0-4.fc16.x86_64
x86_64 1:295.33-2.fc16 @rpmfusion-nonfree-updates 16 M

Transaction Summary
===============================================================================
Install 2 Packages (+2 Dependent packages)
Upgrade 79 Packages
Remove 2 Packages (+1 Dependent package)

Total size: 208 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Traceback (most recent call last):
File "/usr/bin/yum", line 29, in <module>
yummain.user_main(sys.argv[1:], exit_code=True)
File "/usr/share/yum-cli/yummain.py", line 321, in user_main
errcode = main(args)
File "/usr/share/yum-cli/yummain.py", line 229, in main
return_code = base.doTransaction()
File "/usr/share/yum-cli/cli.py", line 646, in doTransaction
resultobject = self.runTransaction(cb=cb)
File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1613, in runTransaction
lastdbv = self.history.last()
File "/usr/lib/python2.7/site-packages/yum/history.py", line 1265, in last
ret = self.old([], 1, complete_transactions_only)
File "/usr/lib/python2.7/site-packages/yum/history.py", line 1214, in old
executeSQL(cur, sql, params)
File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
return cursor.execute(query)
sqlite3.DatabaseError: database disk image is malformed
root@localhost gerbi#

dit snap ik niet, wie weet het?

alvast bedankt
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Ma Apr 16, 2012 9:56 pm    Onderwerp: Reageren met citaat

heb je all "yum clean all" en zo geprobeerd?
en om slechts één van de packages te updaten?
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Di Apr 17, 2012 5:06 am    Onderwerp: Reageren met citaat

ja ik heb alle bekende dingen geprobeerd maar niks helpt
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Di Apr 17, 2012 7:02 am    Onderwerp: Reageren met citaat

repo's alle disabelen en dan een voor een enabelen?
alle repo rpm's verwijderen (met rpm -e) en opnieuw installeren?
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Di Apr 17, 2012 9:33 am    Onderwerp: Reageren met citaat

ga ik proberen ik laat weten of dat lukt
Terug naar boven
Profiel bekijken Stuur privébericht
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Di Apr 17, 2012 10:24 am    Onderwerp: Reageren met citaat

sciurius schreef:
repo's alle disabelen en dan een voor een enabelen?
alle repo rpm's verwijderen (met rpm -e) en opnieuw installeren?


ik heb het geprobeerd maar zonder resultaat ik blijf dezelfde melding krijgen
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Di Apr 17, 2012 12:20 pm    Onderwerp: Reageren met citaat

De foutmelding lijkt te wijzen op een corrupte sqlite database.

Code:
# find /var/lib/yum -name \*.sqlite -exec rm -f {} \;


en kijken wat er dan gebeurt?
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Di Apr 17, 2012 3:44 pm    Onderwerp: Reageren met citaat

ja ik zal dit proberen

als root neem ik aan?
Terug naar boven
Profiel bekijken Stuur privébericht
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Di Apr 17, 2012 4:09 pm    Onderwerp: Reageren met citaat

zeg sciurius mag ik je hartelijk bedanken?

het werkt!!

hij is nu de updates aan het installeren

weet ik dit voor de volgende keer

ik zit alleen nog steeds met het probleem dat ik niet afmelden kan!(andere discussie)

mischien dat we daar ook nog een oplossing voor vinden??
Terug naar boven
Profiel bekijken Stuur privébericht
bianca



Geregistreerd op: 05 Nov 2008
Berichten: 724

BerichtGeplaatst: Di Apr 17, 2012 4:24 pm    Onderwerp: Reageren met citaat

sciurius schreef:
De foutmelding lijkt te wijzen op een corrupte sqlite database.

Code:
# find /var/lib/yum -name \*.sqlite -exec rm -f {} \;


en kijken wat er dan gebeurt?


zeg sciurius ik heb nog 1 vraag

hoe of wat is de reden dat zoiets optreedt dan?

is wel interresant om te weten om dit in de toekomst te vermijden
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Wo Apr 18, 2012 8:35 am    Onderwerp: Reageren met citaat

bianca schreef:
zeg sciurius ik heb nog 1 vraag
hoe of wat is de reden dat zoiets optreedt dan?

Goede vraag...

SQLite is natuurlijk niet een echt database systeem, alles werkt op een database file en het is mogelijk dat door een glitch of ongelukkig afgebroken programma deze file corrupt raakt.

Het lijkt me geen probleem dat zich gemakkelijk kan voordoen, maar zeg nooit nooit.
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
Berichten van afgelopen:   
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Overig Tijden zijn in GMT + 1 uur
Pagina 1 van 1

 
Ga naar:  
Je mag geen nieuwe onderwerpen plaatsen in dit subforum
Je mag geen reacties plaatsen in dit subforum
Je mag je berichten niet bewerken in dit subforum
Je mag je berichten niet verwijderen in dit subforum
Je mag niet stemmen in polls in dit subforum


Powered by phpBB © 2001, 2005 phpBB Group
Vertaling door Lennart Goosens.